unit F_XAMDemo_Process;

interface

uses
  Forms, Controls, StdCtrls, Classes;

type
  TFormProcess = class(TForm)
    Button1: TButton;
    ListBox1: TListBox;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    procedure DoFilling;
    procedure DoRead;
  end;

var
  FormProcess: TFormProcess;

implementation

uses
  U_XAM_Debug, Dialogs, SysUtils;

{$R *.dfm}

procedure TFormProcess.FormShow(Sender: TObject);
begin
  ListBox1.Clear
end;

procedure TFormProcess.Button1Click(Sender: TObject);
begin
  XAMDebugger.EnterProc;
  try
    ShowMessage('The filling process will be start...');
    DoFilling;
    ShowMessage('The items reading process will be start...'#13#10'This will raise an exception !');
    DoRead;
  except
    if (XAMDebugger.DoProcess) then raise;
  end;
end;

procedure TFormProcess.DoFilling;
var i : integer;
begin
  XAMDebugger.EnterProc;
  try
    for i := 0 to 10 do
      ListBox1.Items.Add('Item ' + IntToStr(i));
  except
    if (XAMDebugger.DoProcess) then raise;
  end;
end;

procedure TFormProcess.DoRead;
var i : integer;
begin
  XAMDebugger.EnterProc;
  try
    for i := 0 to ListBox1.Items.Count do
      Label1.Caption := ListBox1.Items[i];
  except
    if (XAMDebugger.DoProcess) then raise;
  end;
end;

end.
