unit U_XAMDemo_Splash;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  ComCtrls, ExtCtrls, StdCtrls;

type
  TfmSplash = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Image1: TImage;
    Label1: TLabel;
    ProgressBar: TProgressBar;
    LabelStep: TLabel;
  public
    procedure OnStart(Sender : TObject; StepCount : integer);
    procedure OnProgress(Sender : TObject; Step : integer; Caption : string);
  end;

var
  fmSplash: TfmSplash;

implementation

{$R *.dfm}

procedure TfmSplash.OnStart(Sender: TObject; StepCount: integer);
begin
  ProgressBar.Max := StepCount;
end;

procedure TfmSplash.OnProgress(Sender: TObject; Step: integer; Caption: string);
begin
  ProgressBar.StepIt;
  LabelStep.Caption := Caption;
end;

end.
