program XAMDemo;

uses
  U_XAM_Debug,
  U_XAM_AutoSplash,
  Forms,
  U_XAMDemo_Main in 'U_XAMDemo_Main.pas' {FormMain},
  F_XAMDemo_Process in 'F_XAMDemo_Process.pas' {FormProcess},
  U_XAMDemo_Splash in 'U_XAMDemo_Splash.pas' {fmSplash};

{$R *.res}

var p : TfmSplash;
begin
  Application.Initialize;
  p := TfmSplash.Create(nil);
  try
    with TXAMAutoSplash.Create(p, p.OnStart, p.OnProgress) do
      try
        Add('Starting...', 1000);
        Add('Creating main form', TFormMain, FormMain, 500);
        Add('Creating process form', TFormProcess, FormProcess, 500);
        Add('Finalizing...', 1000);
        Execute;
      finally
        Free;
      end;
  finally
    p.Free;
  end;
  Application.Run;
end.

