unit U_XAMDemo_Main;

interface

uses
  Forms, Classes, Controls, StdCtrls;

type
  TFormMain = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  end;

var
  FormMain: TFormMain;

implementation

uses
  U_XAM_Debug, U_XAM_System, F_XAMDemo_Process;

{$R *.dfm}

procedure TFormMain.Button1Click(Sender: TObject);
begin
  XAMDebugger.EnterProc;
  try
    FormProcess.ShowModal;
  except
    if (XAMDebugger.DoProcess) then raise;
  end;
  XAMDebugger.LeaveProc;
end;

procedure TFormMain.CheckBox1Click(Sender: TObject);
begin
  XAMDebugger.SetActive(CheckBox1.Checked);
end;

procedure TFormMain.CheckBox2Click(Sender: TObject);
begin
  XAMApplication.LogFile.Enabled := CheckBox2.Checked;
end;

end.

